JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ComboBox::Listener Class Referenceabstract
juce_gui_basics » widgets

A class for receiving events from a ComboBox. More...

`#include <juce_ComboBox.h>`

Inheritance diagram for ComboBox::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | comboBoxChanged (ComboBox *comboBoxThatHasChanged)=0
| Called when a ComboBox has its selected item changed.

## Detailed Description

A class for receiving events from a ComboBox.

You can register a ComboBox::Listener with a ComboBox using the ComboBox::addListener() method, and it will be called when the selected item in the box changes.

See also
  ComboBox::addListener, ComboBox::removeListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual ComboBox::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ comboBoxChanged()

virtual void ComboBox::Listener::comboBoxChanged | ( | ComboBox * | comboBoxThatHasChanged | ) |
| pure virtual

Called when a ComboBox has its selected item changed.

The documentation for this class was generated from the following file:

- juce_ComboBox.h